﻿using System;
using System.IO;
using System.Text.RegularExpressions;

namespace Cshp_Regex1
{
    public class PalavraRegex
    {
        private static Regex _Regex;

        public PalavraRegex(string palavra)
        {
            _Regex = new Regex(@"\b" + palavra + "\\b");
        }

        public void Procurar(string arquivo)
        {
            String linha;
            int numeroLinha = 0;
            using (StreamReader sr = new StreamReader(arquivo))
            {
                while (null != (linha = sr.ReadLine()))
                {
                    numeroLinha++;
                    if (_Regex.IsMatch(linha))
                    {
                        Console.WriteLine("Ocorrência da palavra:  {0}' na linha {1}", linha, numeroLinha);
                    }
                }
            }
        }
    }
}
